Imports System
Imports System.ComponentModel
Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.Persistent.Base.General
Imports System.Data.SqlClient
Imports System.Configuration
Imports System.Linq
Imports System.Linq.Expressions
Imports DevExpress.ExpressApp.ConditionalAppearance

Public Enum ePACIQRows
    eOpen = 0
    eAccounts = 1
    eFinancialBefore = 2
    eFinancialNoConnect = 3
End Enum
<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
<DeferredDeletion(False)> _
Public Class PartnerAccountConnectionInfoQueryRows
    Inherits BaseObject
    Private _PartnerAccountConnectionInfoQueryHeader As PartnerAccountConnectionInfoQueryHeader
    Private _RowType As ePACIQRows
    Private _CustomersFrom As CustomersFrom
    Private _Customers As Customers
    Private _PartnerType As ePartnerType
    Private _ConnectInfo As String
    Private _DocumentNumber As String 'Számla  száma
    Private _CurrencyName As CurrencyName
    Private _DateExecution As Date
    Private _DatePayment As Date 'Fizetési határidő
    Private _AmountHUF As Double 'Számla összege HUF bruttó
    Private _AmountDEV As Double 'Számla összege DEV bruttó
    Private _AmountNettoHUF As Double 'Számla összege HUF netto
    Private _AmountNettoDEV As Double 'Számla összege DEV netto
    Private _AmountVATHUF As Double 'Számla összege HUF ÁFA
    Private _AmountVATDEV As Double 'Számla összege DEV ÁFA
    Private _BallanceHUF As Double 'Egyenleg HUF (Számla vagy p.ü telj i s! előjel helyesen !!!)
    Private _BallanceDEV As Double 'Egyenleg DEV
    Private _ForDelete As Boolean = False
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ForDelete = False
    End Sub
    <Association("PartnerAccountConnectionInfoQueryHeader-PartnerAccountConnectionInfoQueryRows", GetType(PartnerAccountConnectionInfoQueryHeader))> _
    Property PartnerAccountConnectionInfoQueryHeader As PartnerAccountConnectionInfoQueryHeader
        Get
            Return _PartnerAccountConnectionInfoQueryHeader
        End Get
        Set(ByVal value As PartnerAccountConnectionInfoQueryHeader)
            SetPropertyValue("PartnerAccountConnectionInfoQueryHeader", _PartnerAccountConnectionInfoQueryHeader, value)
        End Set
    End Property
    Property RowType As ePACIQRows
        Get
            Return _RowType
        End Get
        Set(value As ePACIQRows)
            SetPropertyValue("RowType", _RowType, value)
        End Set
    End Property
    Property CustomersFrom() As CustomersFrom
        Get
            Return _CustomersFrom
        End Get
        Set(ByVal value As CustomersFrom)
            SetPropertyValue("CustomersFrom", _CustomersFrom, value)
        End Set
    End Property
    Property Customers() As Customers
        Get
            Return _Customers
        End Get
        Set(ByVal value As Customers)
            SetPropertyValue("Customers", _Customers, value)
        End Set
    End Property
    Property PartnerType() As ePartnerType
        Get
            Return _PartnerType
        End Get
        Set(ByVal value As ePartnerType)
            SetPropertyValue("PartnerType", _PartnerType, value)
        End Set
    End Property
    Property ConnectInfo() As String
        Get
            Return _ConnectInfo
        End Get
        Set(ByVal value As String)
            SetPropertyValue("ConnectInfo", _ConnectInfo, value)
        End Set
    End Property
    Property DocumentNumber As String
        Get
            Return _DocumentNumber
        End Get
        Set(value As String)
            SetPropertyValue("DocumentNumber", _DocumentNumber, value)
        End Set
    End Property
    Property CurrencyName() As CurrencyName
        Get
            Return _CurrencyName
        End Get
        Set(ByVal value As CurrencyName)
            SetPropertyValue("CurrencyName", _CurrencyName, value)
        End Set
    End Property
    Property DateExecution As Date
        Get
            Return _DateExecution
        End Get
        Set(ByVal value As Date)
            SetPropertyValue("DateExecution", _DateExecution, value)
        End Set
    End Property
    Property DatePayment As Date
        Get
            Return _DatePayment
        End Get
        Set(ByVal value As Date)
            SetPropertyValue("DatePayment", _DatePayment, value)
        End Set
    End Property
    Property AmountHUF As Double
        Get
            Return _AmountHUF
        End Get
        Set(value As Double)
            SetPropertyValue("AmountHUF", _AmountHUF, value)
        End Set
    End Property
    Property AmountDEV As Double
        Get
            Return _AmountDEV
        End Get
        Set(value As Double)
            SetPropertyValue("AmountDEV", _AmountDEV, value)
        End Set
    End Property
    Property AmountNettoHUF As Double
        Get
            Return _AmountNettoHUF
        End Get
        Set(value As Double)
            SetPropertyValue("AmountNettoHUF", _AmountNettoHUF, value)
        End Set
    End Property
    Property AmountNettoDEV As Double
        Get
            Return _AmountNettoDEV
        End Get
        Set(value As Double)
            SetPropertyValue("AmountNettoDEV", _AmountNettoDEV, value)
        End Set
    End Property
    Property AmountVATHUF As Double
        Get
            Return _AmountVATHUF
        End Get
        Set(value As Double)
            SetPropertyValue("AmountVATHUF", _AmountVATHUF, value)
        End Set
    End Property
    Property AmountVATDEV As Double
        Get
            Return _AmountVATDEV
        End Get
        Set(value As Double)
            SetPropertyValue("AmountVATDEV", _AmountVATDEV, value)
        End Set
    End Property
    Property BallanceHUF As Double
        Get
            Return _BallanceHUF
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("BallanceHUF", _BallanceHUF, value)
        End Set
    End Property
    Property BallanceDEV As Double
        Get
            Return _BallanceDEV
        End Get
        Set(ByVal value As Double)
            SetPropertyValue("BallanceTotal", _BallanceDEV, value)
        End Set
    End Property
    <Browsable(False)> _
    Property ForDelete As Boolean
        Get
            Return _ForDelete
        End Get
        Set(value As Boolean)
            SetPropertyValue("ForDelete", _ForDelete, value)
        End Set
    End Property
End Class
